Bug 560017

Summary: DeviceFormatError: format has not been created
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: anacondaAssignee: David Lehman <dlehman>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell, jonathan, jturner, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:ab457b2fdfac0f4f6e00fae2e8612181805447c5c0247d1b688dd33de0a0a524
Fixed In Version: anaconda-13.25-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-10 21:04:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 538273    
Attachments:
Description Flags
Attached traceback automatically from anaconda. none

Description James Laska 2010-01-29 16:41:44 UTC
The following was filed automatically by anaconda:
anaconda 13.23 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/disklabel.py", line 194, in setup
    raise DeviceFormatError("format has not been created")
  File "/usr/lib/anaconda/storage/devices.py", line 611, in setup
    parent.format.setup()
  File "/usr/lib/anaconda/storage/devices.py", line 1266, in create
    self.setup()
  File "/usr/lib/anaconda/storage/deviceaction.py", line 203, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 670, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 287, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 109, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1308, in nextClicked
    self.anaconda.dispatch.gotoNext()
DeviceFormatError: format has not been created

Comment 1 James Laska 2010-01-29 16:41:53 UTC
Created attachment 387599 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2010-01-29 16:52:17 UTC
= Steps to reproduce =

1. Perform a default install on a system with 4 disks (virt in this case)
2. After install ... wipe out the start of each disk

for DISK in sda sdb sdc sdd;
do
  dd if=/dev/zero of=/dev/$DISK bs=1024 count=1024
done

3. Initiate a new install on the same system with the same disks
4. Select 'Basic Storage'
5. Choose 'Replace linux partitions'
6. Manually delete all logical volumes and physical volumes
7. Attempt to partition using swap, /boot (ext4) and / (ext4)

Comment 3 David Lehman 2010-02-04 03:05:56 UTC
I was able to reproduce by just doing "Use all disk space" or similar with four uninitialized disks. It was a typo in the action sorting that tried to push "create partition" actions before "create disklabel" actions, which is obviously problematic.

Fixed in anaconda-13.25-1.

Comment 4 James Laska 2010-02-10 20:58:08 UTC
Attempting to verify this against anaconda-13.25, I stumbled on bug#563677.

Comment 5 James Laska 2010-02-10 21:04:00 UTC
Retested procedure in comment#2 against anaconda-13.25.  THis bug has been fixed.